Subject: compilation

From: [email-masked] (Jospeh P. Molnar)
Date: Wed, 1 Nov 1995 09:59:55 -0500

Hello, I am not evcen sure that anyone is even getting these messages.  I
am trying to compile wu-ftpd-2.4 on a Linux box.  I am getting the
following errors:
ramsesjr:/usr/src/wu-ftpd-2.4# build lnx
make args are :
make opts are :

Linking Makefiles.
ln: Makefile: File exists
ln: config.h: File exists
ln: Makefile: File exists

Making support library.
Makefile:13: *** missing separator.  Stop.

Making ftpd.
gcc -O -DDEBUG -I.. -I../support -I/usr/include/bsd -L../support   -c glob.c -o
glob.o
glob.c: In function `ftpglob':
glob.c:95: `NCARGS' undeclared (first use this function)
glob.c:95: (Each undeclared identifier is reported only once
glob.c:95: for each function it appears in.)
glob.c:95: size of array `agargv' has non-integer type
glob.c: In function `ginit':
glob.c:124: `NCARGS' undeclared (first use this function)
glob.c: In function `Gcat':
glob.c:517: `NCARGS' undeclared (first use this function)
make: *** [glob.o] Error 1

Making ftpcount.
gcc -O -DDEBUG -I.. -I../support -I/usr/include/bsd -L../support -o ftpcount ftp
count.c vers.o -lsupport -lbsd
gcc: vers.o: No such file or directory
ftpcount.c: In function `parsetime':
ftpcount.c:98: warning: comparison between pointer and integer
ftpcount.c:107: warning: comparison between pointer and integer
ftpcount.c: In function `acl_getlimit':
ftpcount.c:159: warning: comparison between pointer and integer
ftpcount.c:162: warning: assignment makes integer from pointer without a cast
ftpcount.c: In function `main':
ftpcount.c:307: warning: comparison between pointer and integer
ftpcount.c:310: warning: assignment makes integer from pointer without a cast
make: *** [ftpcount] Error 1

Making ftpshut.
gcc -O -DDEBUG -I.. -I../support -I/usr/include/bsd -L../support -o ftpshut ftps
hut.c vers.o -lsupport -lbsd
gcc: vers.o: No such file or directory
ftpshut.c: In function `main':
ftpshut.c:188: warning: comparison between pointer and integer
ftpshut.c:191: warning: assignment makes integer from pointer without a cast
make: *** [ftpshut] Error 1

Making ckconfig.
ln: ckconfig: File exists

Links to executables are in bin directory:
size: bin/ftpd: No such file or directory
size: bin/ftpcount: No such file or directory
size: bin/ftpshut: No such file or directory
size: bin/ftpwho: No such file or directory
text    data    bss     dec     hex     filename
1060    1901    96      3057    bf1     bin/ckconfig
Done
ramsesjr:/usr/src/wu-ftpd-2.4# ls
FIXES-2.4  Makefile   bin/       config.h   src/       util/
INSTALL    README     build*     doc/       support/
ramsesjr:/usr/src/wu-ftpd-2.4#

Can anyone help me?
Thanks

+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Joe Molnar
Technical Support Assistant
Westmont Hilltop School District (K-12)
Technology Office  (814) 255-8792
675 Goucher Street
Johnstown, PA 15905